image: docker:stable
services:
    - name: docker:dind
      entrypoint: ["env", "-u", "DOCKER_HOST"]
      command: ["dockerd-entrypoint.sh"]
variables:
    DOCKER_HOST: tcp://docker:2375/
    DOCKER_DRIVER: overlay2
    # See https://github.com/docker-library/docker/pull/166
    DOCKER_TLS_CERTDIR: ""

before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" registry.gitlab.com

build:
  stage: build
  only:
    refs:
      - master
    variables:
      - $CI_COMMIT_MESSAGE =~ /^\[BUILD\].*/
  script:
    - export TAG=$(echo $CI_COMMIT_MESSAGE | cut -c8-)
    - docker build -t registry.gitlab.com/fariz.tumbuan/poetry-test-1:$TAG .
    - docker push registry.gitlab.com/fariz.tumbuan/poetry-test-1:$TAG

